/* Dark theme */
:root {
	--font_clash: "Clash Display", sans-serif;
	--primary-bg: #dee6ed;
	--primary-text: #7d44a8;
	--alt-text: #76b0ef;
	--box-shadow: 5px 5px 10px #b5b5b5, -2px -2px 10px #fff;
	--inset-box: inset 5px 10px 8px #b5b5b5, inset -5px -5px 8px #fff;
	--transition: 0.1s ease-in-out;
	--black: #636363;
	--purple-box-shadow: 1px 1px 10px #301645, -1px -1px 10px #7e45aa;
	--purple-inset-box: inset 1px 1px 10px #44255c, inset -1px -1px 10px #7e45aa;
	--white: #e4d8d8;
	--yellow: #fabb37;

	/* DARK THEME VARIABLE */
	--primary-bg-dark: #241e1e;
	--box-shadow-dark: 5px 5px 5px #171414, -2px -2px 5px #171414;
	--inset-box-dark: inset 5px 1px 15px #110d0d, inset -3px -5px 15px #110d0d;

	/* filter */
	--purple-filter: invert(33%) sepia(16%) saturate(2999%) hue-rotate(235deg)
		brightness(94%) contrast(92%);
	--white-filter: invert(100%) sepia(0%) saturate(3498%) hue-rotate(177deg)
		brightness(108%) contrast(76%);
	--black-filter: brightness(0%) contrast(0%);
}
/* toggle theme */

body.dark-mode {
	background: var(--primary-bg-dark) !important;
	backdrop-filter: blur(100%) !important;
	color: var(--white) !important;
}
/* General*/

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&family=Roboto&display=swap");

* {
	margin: 0;
	padding: 0;
}

body {
	font-family: "Poppins", sans-serif;
	background: var(--primary-bg);
}
html {
	scroll-behavior: smooth;
}
p {
	color: rgb(85, 85, 85);
}

/* transition */

a,
.btn {
	transition: all 300ms ease;
}

/* Desktop */
nav,
.nav-links {
	display: flex;
}
nav {
	justify-content: space-around;
	align-items: center;
	height: 17vh;
}

.nav-links {
	gap: 2rem;
	list-style: none;
	font-size: 1.5rem;
}
a {
	color: black;
	text-decoration: none;
	text-decoration-color: white;
}
a:hover {
	color: grey;
	text-decoration: underline;
	text-underline-offset: 1rem;
	text-decoration-color: rgb(181, 181, 181);
}
.logo {
	font-size: 2rem;
	margin-top: 5%;
}
.logo:hover {
	cursor: default;
}

.switch-icon {
	cursor: pointer;
	width: 4rem;
	margin-left: 40%;
	padding: 0;
	margin-bottom: -5%;
	height: auto;
	transform: rotate(7deg) translateY(5px);
	filter: var(--black-filter);
	aspect-ratio: auto 20 / 20;
}

.dark-mode .switch-icon {
	filter: var(--white-filter);
}
#hamburger-nav {
	display: none;
	text-align: ; /* Align the hamburger menu to the right */
	margin-top: 10%;
	margin-left: 10%;
}

.hamburger-menu {
	position: relative;
	display: inline-block;
	margin-left: 85%;
}
.hamburger-icon {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	height: 24px;
	width: 30px;
	cursor: pointer;
}
.hamburger-icon span {
	width: 100%;
	height: 2px;
	background-color: black;
	transition: all 0.3 ease-in-out;
}

.menu-links {
	position: absolute;
	top: 100%;
	right: 0;
	background-color: white;
	width: fit-content;
	max-height: 0;
	overflow: hidden;
	transition: all 0.3 ease-in-out;
}

.menu-links a {
	display: block;
	padding: 10px;
	text-align: center;
	font-size: 1.5rem;
	color: black;
	text-decoration: none;
	transition: all 0.3 ease-in-out;
}

.menu-links li {
	list-style: none;
}
.menu-links.open {
	max-height: 300px;
}

.hamburger-icon.open span:first-child {
	transform: rotate(45deg) translate(10px, 5px);
}
.hamburger-icon.open span:nth-child(2) {
	opacity: 0;
}
.hamburger-icon.open span:last-child {
	transform: rotate(-45deg) translate(10px, -5px);
}

.hamburger-icon span:first-child {
	transform: none;
}
.hamburger-icon span:first-child {
	opacity: 1;
}
.hamburger-icon span:first-child {
	transform: none;
}
/* Sections */
section {
	padding-top: 4vh;
	height: 96vh;
	box-sizing: border-box;
	min-height: fit-content;
}

.section-container,
#profile {
	display: flex;
	justify-content: center;
	gap: 5rem;
	height: 80vh;
}

.section__pic.container {
	display: flex;
	height: 400px;
	width: 400px;
	margin: auto 0;
}

.section__text {
	align-self: center;
	text-align: center;
}

.section__text p {
	font-weight: 600;
}

.section__text__p1 {
	text-align: center;
}
.section__text__p2 {
	font-size: 1.75rem;
	margin-bottom: 1rem;
}
.title {
	font-size: 3rem;
	text-align: center;
}
#socials-container {
	display: flex;
	justify-content: center;
	margin-top: 1rem;
	gap: 1rem;
}
/* icons */
.icon {
	cursor: pointer;
	height: 2rem;
}

/* buttons */
.btn-container {
	display: flex;
	justify-content: center;
	gap: 1rem;
}

.btn {
	font-weight: 600;
	transition: all 300ms ease;
	padding: 1rem;
	width: 8rem;
	border-radius: 2rem;
}
.btn-color-1,
.btn-color-2 {
	border: rgb(53, 53, 53) 0.1rem solid;
}

.btn-color-1:hover,
.btn-color-2:hover {
	cursor: pointer;
}

.btn-color-1,
.btn-color-2:hover {
	background: rgb(53, 53, 53);
	color: white;
}
.btn-color-1:hover {
	background: rgb(0, 0, 0);
}

.btn-color-2 {
	background: none;
}

.btn-color-2:hover {
	border: rgb(255, 255, 255);
}
.btn-container {
	gap: 1rem;
}
.profile-image {
	border-radius: 50%;
	width: 25rem;
	height: 25rem;
	margin-left: -35%;
}
/* About section */
#about {
	position: relative;
	width: 100%;
	margin: auto;
	/* height: auto;
	align-items: center;
	margin-left: 15%;
	margin-bottom: 5rem;
	margin-top: 4rem; */
}

.about-container {
	display: flex;
	gap: 2rem;
	margin-bottom: 2rem;
	margin-top: 2rem;
	flex-wrap: wrap;
}

.about-details-container {
	display: flex;
	justify-content: center;
	flex-direction: column;
}

.about-pic {
	border-radius: 2rem;
	max-width: 100%; /* Ensure the image does not exceed its container */
	height: auto; /* Maintain the image's aspect ratio */
	margin-left: 2rem;
}

.arrow {
	position: absolute;
	right: -5rem;
	bottom: 2.5rem;
}

.details-container {
	padding: 1.5rem;
	flex: 1;
	background: transparent;
	border-radius: 2rem;
	border: 0.1rem solid rgb(163, 163, 163);
	text-align: center;
}

.section-container {
	display: flex;
	gap: 4rem;
	height: 80%;
	justify-content: center; /* Center the section content */
	align-items: center; /* Center vertically */
}

.section__pic-container {
	height: 400px;
	width: 400px;
	margin: auto 0;
}
/* EXPERIENCE SECTION */

#experience {
	position: relative;
	width: 90rem;
	margin: auto;
}

.experience-sub-title {
	color: rgb(85, 85, 85);
	font-weight: 600;
	font-size: 1.75rem;
	margin-bottom: 2rem;
}

.experience-details-container {
	display: flex;
	justify-content: center;
	flex-direction: column;
}

.article-container {
	display: flex;
	text-align: initial;

	flex-wrap: wrap;
	flex-direction: row;
	gap: 2.5rem;
	justify-content: space-around;
}

article {
	display: flex;
	width: 10rem;
	justify-content: space-around;
	gap: 0.5rem;
}

article .icon {
	cursor: default;
}

/* PROJECTS SECTION */
#projects {
	position: relative;
	width: 90rem;
	margin: auto;
}

.color-container {
	border-color: rgb(163, 163, 163);
	background: transparent;
}

.project-img {
	border-radius: 2rem;
	width: 90%;
	height: 90%;
}

.project-title {
	margin: 1rem;
	color: black;
}

.project-btn {
	color: black;
	border-color: rgb(163, 163, 163);
}
/* contact section */
#contact {
	display: flex;
	justify-content: center;
	flex-direction: column;
	margin-top: 5%;
}

.contact-info-upper-container {
	display: flex;
	justify-content: center;
	border-radius: 2rem;
	border: rgb(53, 53, 53) 0.1rem solid;
	border-color: rgb(163, 163, 163);
	background: (250, 250, 250);
	margin: 2rem auto;
	padding: 0.5rem;
}

.contact-info-container {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 0.5rem;
	margin: 1rem;
}

.contact-info-container p {
	font-size: larger;
}

.contact-icon {
	cursor: default;
}

.email-icon {
	height: 2.5rem;
}

/* FOOTER SECTION */
footer {
	height: 26vh;
	margin: 0 1rem;
}

footer p {
	text-align: center;
}
